# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Enumerations

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlVG/VectorGraphics.hpp File Reference

`#include <vlVG/link_config.hpp>`
`#include <vlCore/Image.hpp>`
`#include <vlCore/VisualizationLibrary.hpp>`
`#include <vlGraphics/Actor.hpp>`
`#include <vlGraphics/Text.hpp>`
`#include <vlGraphics/FontManager.hpp>`
`#include <vlGraphics/Effect.hpp>`
`#include <vlGraphics/SceneManager.hpp>`
`#include <vlGraphics/Clear.hpp>`
`#include <vlGraphics/Scissor.hpp>`
`#include <vlGraphics/Geometry.hpp>`

Go to the source code of this file.

## Classes

class | vl::VectorGraphics
| The VectorGraphics class is used in conjuction with SceneManagerVectorGraphics to generate and render 2D vector graphics. More...
class | vl::VectorGraphics::ImageState
class | vl::VectorGraphics::State

## Namespaces

namespace | vl

| Visualization Library namespace.

## Enumerations

enum | vl::ETextureMode { vl::TextureMode_Clamp, vl::TextureMode_Repeat }
| Defines how the texture is applied to the rendering primitive. More...
enum | vl::EPolygonStipple { vl::PolygonStipple_Solid, vl::PolygonStipple_Dot, vl::PolygonStipple_Chain, vl::PolygonStipple_HLine, vl::PolygonStipple_VLine }
| Poligon stipple patterns. More...
enum | vl::ELineStipple { vl::LineStipple_Solid, vl::LineStipple_Dot, vl::LineStipple_Dash, vl::LineStipple_Dash4, vl::LineStipple_Dash8, vl::LineStipple_DashDot, vl::LineStipple_DashDotDot }
| Line stipple patterns. More...

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:53.
Permission is granted to use this page to write and publish articles regarding Visualization Library.